Jump to content

Game crashes when pressing play


Recommended Posts

09:03:17.423

2023-06-09 09:03:17,409 main WARN Advanced terminal features are not available in this environment

09:03:17.583

[09:03:17] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher running: args [--username, cooldudeman808, --version, forge-40.2.0, --gameDir, C:\Users\Roman\curseforge\minecraft\Instances\Vanilla (4), --assetsDir, C:\Users\Roman\curseforge\minecraft\Install\assets, --assetIndex, 1.18, --uuid, cde56b989c5345f98b24ff1bc00d935f, --accessToken, ????????, --clientId, MWYzNWYwZjItMTcyNS00NDAxLWI0N2MtM2Q1NmY2Y2MyMzhl, --xuid, 2535429775831936, --userType, msa, --versionType, release, --width, 1024, --height, 768, --launchTarget, forgeclient, --fml.forgeVersion, 40.2.0, --fml.mcVersion, 1.18.2, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20220404.173914]

09:03:17.588

[09:03:17] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher 9.1.3+9.1.3+main.9b69c82a starting: java version 17.0.1 by Microsoft

09:03:17.803

[09:03:17] [main/INFO] [mixin/]: SpongePowered MIXIN Subsystem Version=0.8.5 Source=union:/C:/Users/Roman/curseforge/minecraft/Install/libraries/org/spongepowered/mixin/0.8.5/mixin-0.8.5.jar%2314!/ Service=ModLauncher Env=CLIENT

09:03:18.930

[09:03:18] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\Roman\curseforge\minecraft\Install\libraries\net\minecraftforge\fmlcore\1.18.2-40.2.0\fmlcore-1.18.2-40.2.0.jar is missing mods.toml file

09:03:18.934

[09:03:18] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\Roman\curseforge\minecraft\Install\libraries\net\minecraftforge\javafmllanguage\1.18.2-40.2.0\javafmllanguage-1.18.2-40.2.0.jar is missing mods.toml file

09:03:18.938

[09:03:18] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\Roman\curseforge\minecraft\Install\libraries\net\minecraftforge\lowcodelanguage\1.18.2-40.2.0\lowcodelanguage-1.18.2-40.2.0.jar is missing mods.toml file

09:03:18.943

[09:03:18] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\Roman\curseforge\minecraft\Install\libraries\net\minecraftforge\mclanguage\1.18.2-40.2.0\mclanguage-1.18.2-40.2.0.jar is missing mods.toml file

09:03:19.104

[09:03:19] [main/INFO] [ne.mi.fm.lo.mo.JarInJarDependencyLocator/]: Found 5 dependencies adding them to mods collection

09:03:19.231

[09:03:19] [main/ERROR] [ne.mi.fm.lo.ModSorter/LOADING]: Missing or unsupported mandatory dependencies:

09:03:19.231

Mod ID: 'forge', Requested by: 'create', Expected range: '[40.2.4,)', Actual version: '40.2.0'

09:03:19.231

[09:03:19] [main/ERROR] [ne.mi.fm.lo.ModSorter/LOADING]: Unsupported installed optional dependencies:

09:03:19.231

Mod ID: 'jei', Requested by: 'apotheosis', Expected range: '[10,)', Actual version: '9.7.1.255'

09:03:23.181

[09:03:23] [main/INFO] [mixin/]: Compatibility level set to JAVA_17

09:03:23.292

[09:03:23] [main/ERROR] [mixin/]: Mixin config mixin.cleancut.json does not specify "minVersion" property

09:03:23.514

[09:03:23] [main/ERROR] [mixin/]: Mixin config radon.mixins.json does not specify "minVersion" property

09:03:23.534

[09:03:23] [main/ERROR] [mixin/]: Mixin config firstperson.mixins.json does not specify "minVersion" property

09:03:23.625

[09:03:23] [main/ERROR] [mixin/]: Mixin config forge-mavapi.mixins.json does not specify "minVersion" property

09:03:23.791

[09:03:23] [main/ERROR] [mixin/]: Mixin config forge-mavm.mixins.json does not specify "minVersion" property

09:03:24.019

[09:03:24] [main/INFO] [mixin/]: Successfully loaded Mixin Connector [com.sonicether.soundphysics.MixinConnector]

09:03:24.021

[09:03:24] [main/INFO] [mixin/]: Successfully loaded Mixin Connector [com.integral.enigmaticlegacy.MixinConnector]

09:03:24.030

No Enigmatic Lockbox found, proceeding without it...

09:03:24.030

[09:03:24] [main/INFO] [cp.mo.mo.LaunchServiceHandler/MODLAUNCHER]: Launching target 'forgeclient' with arguments [--version, forge-40.2.0, --gameDir, C:\Users\Roman\curseforge\minecraft\Instances\Vanilla (4), --assetsDir, C:\Users\Roman\curseforge\minecraft\Install\assets, --uuid, cde56b989c5345f98b24ff1bc00d935f, --username, cooldudeman808, --assetIndex, 1.18, --accessToken, ????????, --clientId, MWYzNWYwZjItMTcyNS00NDAxLWI0N2MtM2Q1NmY2Y2MyMzhl, --xuid, 2535429775831936, --userType, msa, --versionType, release, --width, 1024, --height, 768]

09:03:24.058

[09:03:24] [main/INFO] [Rubidium/]: Trying to switch memory allocators to work around memory leaks present with Jemalloc 5.0.0 through 5.2.0 on Windows

09:03:24.062

[09:03:24] [main/INFO] [Rubidium/]: Loaded configuration file for Rubidium: 28 options available, 0 override(s) found

Link to comment
Share on other sites

Whoops sorry uploaded wrong logs, here are the correct ones:

09:28:31.876

at java.base/java.lang.Thread.run(Thread.java:833)

09:28:31.876

Caused by: java.lang.UnsupportedOperationException: A mod tried to access the state neighbor table directly. Please report this at https://github.com/malte0811/FerriteCore/issues. As a temporary workaround you can enable "populateNeighborTable" in the FerriteCore config

09:28:31.876

at TRANSFORMER/[email protected]/malte0811.ferritecore.fastmap.table.CrashNeighborTable.crashOnAccess(CrashNeighborTable.java:101)

09:28:31.876

at TRANSFORMER/[email protected]/malte0811.ferritecore.fastmap.table.CrashNeighborTable.rowKeySet(CrashNeighborTable.java:77)

09:28:31.876

at TRANSFORMER/[email protected]/com.abdelaziz.canary.common.state.FastImmutableTable.<init>(FastImmutableTable.java:36)

09:28:31.876

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.state.StateHolder.handler$bbj000$postCreateWithTable(StateHolder.java:531)

09:28:31.876

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.state.StateHolder.m_61133_(StateHolder.java:1052)

09:28:31.876

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.state.StateDefinition.<init>(StateDefinition.java:68)

09:28:31.876

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.state.StateDefinition$Builder.m_61101_(StateDefinition.java:157)

09:28:31.877

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.Block.<init>(Block.java:174)

09:28:31.877

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.AirBlock.<init>(AirBlock.java:12)

09:28:31.877

at TRANSFORMER/[email protected]/net.minecraft.world.level.block.Blocks.<clinit>(Blocks.java:40)

09:28:31.877

... 18 more

09:28:32.435

Process crashed with exit code 1

Link to comment
Share on other sites

I spent like 4 hours removing every single mod and testing. It was not just one mod, so this place can't really help you. You can just keep asking which mod it is but it gets annoying because these guys are very busy and are trying their best so I would use the first method. I just hope these guys get to my other post, it's been like a couple of days.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Announcements



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.